#ifndef MONOPDESTATE_H
#define MONOPDESTATE_H

#include <QColor>
#include <QString>
#include "src/Monopd/monopdfield.h"
#include "src/Monopd/player.h"

class MonopdEstate : public MonopdField {

	public:
		MonopdEstate(int i, QString name, int p, int mv, int umv);
		int getPrice();
		Player* getOwner();
		int getMortageVal();
		int getUnmortageVal();
		bool getMortaged();
		bool getCanToggleMortage();
		int getRent(int i);

		void setPrice(int p);
		void setOwner(Player* p);
		void setMortageVal(int mv);
		void setUnmortageVal(int umv);
		void setMortaged(bool m);
		void setCanToggleMortage(bool ctm);
		void setRent(int i, int r);

	protected:
		int price;
		Player* owner;
		int mortageVal;
		int unmortageVal;
		bool mortaged;
		bool canToggleMortage;
		int rent[6];
};

#endif // MONOPDESTATE_H
